	org &8000

win_large equ 40

	di

	ld hl,&C990
	ld de,&4000

	ld a,40
	call all_letters

	ld hl,&C9E0
	ld a,19
	call all_letters

	ei
	ret

all_letters
	ld (save_a+1),a
	ld (save_hl+1),hl

	ld b,8

save_letter_data
	ld a,(hl)
	ld (de),a
	inc hl
	inc de

	ld a,(hl)
	ld (de),a
	dec hl
	inc de

	call next_line

	djnz save_letter_data

save_hl
	ld hl,0
	inc hl
	inc hl

save_a
	ld a,0
	dec a
	cp 0
	jp nz,all_letters
	ret

next_line
        ld a,h
        add &08
        ld h,a
        and &38
        ret nz
        ld a,h
        sub &40
        ld h,a
        ld a,l
        add win_large*2
        ld l,a
        ret nc
        inc h
        ld a,h
        and &07
        ret nz
        ld a,h
        sub &08
        ld h,a
        ret   